Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.agent
Class SshAgentForwardingListener

    java.lang.Object
      com.sshtools.j2ssh.agent.SshAgentForwardingListener

public class SshAgentForwardingListener
extends java.lang.Object

DOCUMENT ME!

Method Summary
`void` | `addReference(java.lang.Object obj)` DOCUMENT ME!
`java.lang.String` | `getConfiguration()` DOCUMENT ME!
`static SshAgentForwardingListener` | `getInstance(java.lang.String sessionId, ConnectionProtocol connection)` DOCUMENT ME!
`int` | `getPort()` DOCUMENT ME!
`void` | `removeReference(java.lang.Object obj)` DOCUMENT ME!
`void` | `start()` DOCUMENT ME!
`void` | `stop()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConfiguration

    public java.lang.String getConfiguration()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### addReference

    public void addReference(java.lang.Object obj)

  DOCUMENT ME!

  Parameters:
    `obj` - DOCUMENT ME!

### removeReference

    public void removeReference(java.lang.Object obj)

  DOCUMENT ME!

  Parameters:
    `obj` - DOCUMENT ME!

### start

    public void start()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getPort

    public int getPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### stop

    public void stop()

  DOCUMENT ME!

### getInstance

    public static SshAgentForwardingListener getInstance(java.lang.String sessionId,
                                                         ConnectionProtocol connection)
                                                  throws AgentNotAvailableException

  DOCUMENT ME!

  Parameters:
    `sessionId` - DOCUMENT ME!
    `connection` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AgentNotAvailableException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD